Search
K
Policy Transactions

Eligibility Check to Set Delivery Date

post

Path Parameters

planCodestringrequired
policyNumberstringrequired

Body

application/json

SetDeliveryDateEligibilityRequest

correlationIdstring

Example:864e43a0-2c2f-4a11-9d7f-69ed40115066

taxIdstring

Example:666911019

documentTypestring

Example:POLPG

Response

application/json

Success

TransactionResponse

statusstring

Allowed values:successfailure

errorarray[object]
Show Child Parameters
quoteResponseobject
post/policy/v1/transactions/{planCode}/{policyNumber}/deliverydatesetup/eligibilitycheck

Body

{}
 
application/json

Set Delivery Date Transaction

post

Path Parameters

planCodestringrequired
policyNumberstringrequired

Body

application/json

SetDeliveryDateRequest

correlationIdstring

Example:864e43a0-2c2f-4a11-9d7f-69ed40115066

taxIdstring

Example:666911019

documentTypestring

Example:POLPG

acknowledgementDatestring(date-time)
reverseInitiatorboolean

Property to isolate source transaction(s) that initiated the reversal

Response

application/json

Success

TransactionAcceptedResponse

correlationIdstring

Unique identifier which used by every system to trace the request

Example:3a2a3435-2089-4b81-9959-e0d569ccf4f0

caseIdstring

Zinnia Live Case ID

Example:CA0000369469

caseStatusstring

Zinnia Live Case Status

Example:IN_PROGRESS

post/policy/v1/transactions/{planCode}/{policyNumber}/deliverydatesetup

Body

{}
 
application/json

EDelivery Enrollment

post

Path Parameters

planCodestringrequired
policyNumberstringrequired

Body

application/json
idstring

preferenceId (should be null for preference creation)

Example:e22cd4aee27d34c9b7c748d50e558b41

carrierIdstringrequired

carrier id for policy

Example:CARRIERID_1

deliveryOptionstringrequired

Delivery Options - Applicable values EMAIL/FAX/MAIL

Allowed values:EMAILFAXMAIL

Example:EMAIL

emailstring

User’s email

Example:abc.def@gmail.com

effectiveFromstring(date-time)required

Date (with pattern “yyyy-MM-dd’T’HH:mm:ss’Z’”) when the preference will be effective, default value is ‘2999-12-31T00:00:00.000Z’

effectiveTostring(date-time)

Date (with pattern “yyyy-MM-dd’T’HH:mm:ss’Z’”) when the preference will stop being effective

documentTypestringrequired

Type of document

Allowed values:NWBANSTCONFTAXAGNTPOLPG

Example:AGNT

partyIdstringrequired

Unique reference id of the party

Example:f22de4bff27e45d9a7c859e61f668c50

acknowledgedByPartyIdstringrequired

Party that initiated the acknowledgment (i.e. an agent, if not the party referred to by partyId)

Example:f22de4bff27e45d9a7c859e61f668c50

Response

application/json

Success

TransactionAcceptedResponse

correlationIdstring

Unique identifier which used by every system to trace the request

Example:3a2a3435-2089-4b81-9959-e0d569ccf4f0

caseIdstring

Zinnia Live Case ID

Example:CA0000369469

caseStatusstring

Zinnia Live Case Status

Example:IN_PROGRESS

post/policy/v1/transactions/{planCode}/{policyNumber}/edeliveryenrollment

Body

{ "carrierId": "CARRIERID_1", "deliveryOption": "EMAIL", "effectiveFrom": "effectiveFrom", "documentType": "AGNT", "partyId": "f22de4bff27e45d9a7c859e61f668c50", "acknowledgedByPartyId": "f22de4bff27e45d9a7c859e61f668c50" }
 
application/json

Policy - Transactions

All Apis related to policy operations

Create case for transaction

This operation must be invoked before submitting a transaction request. The service is responsible for creating a new case record, which becomes the prerequisite reference for all subsequent transaction activities.

post

Body

application/json

CreateCaseRequest

planCodestringrequired

Product code provided by the Zinnia system

Example:ABC001

policyNumberstring

In case of Post Issue Policy Number will be mandatory

Example:EVGL1234567

correlationIdstring

The correlationId associated with the case.

Example:218d8992-3783-42ac-b59a-66cbc36adaab

caseTypestringrequired

The type associated with the case.

Allowed values:ReinstatementNew Business

Example:Reinstatement

caseSubTypestringrequired

The type associated with the case.

Allowed values:ReinstatementLife Application

Example:Reinstatement

identifiersarray[object]required

An object representing an identifier and its corresponding value.

Show Child Parameters

Response

application/json

Case Created

CaseSuccessResponse

caseIdstring

Example:CA000000536

correlationIdstring

Example:15ea7582-262f-4dfe-8a60-1e8b8e763fd4

eappIdstring

Example:15ea7582-262f-4dfe-8a60-1e8b8e763fd4

policyNumberstring

Example:ABC37457845

post/policy/v1/transactions/case

Body

{ "planCode": "ABC001", "caseType": "Reinstatement", "caseSubType": "Reinstatement", "identifiers": [ {} ] }
 
application/json